/*
 *     Botendo
 *     Copyright (C) 2023  limited_dev
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

package de.limited_dev.botendo.util

import java.util.concurrent.TimeUnit

object TimeUtil {
    fun getTimeFormatedShortend(time: Long): String? {
        var time = time
        val days = TimeUnit.MILLISECONDS
            .toDays(time)
        time -= TimeUnit.DAYS.toMillis(days)
        val hours = TimeUnit.MILLISECONDS
            .toHours(time)
        time -= TimeUnit.HOURS.toMillis(hours)
        val minutes = TimeUnit.MILLISECONDS
            .toMinutes(time)
        time -= TimeUnit.MINUTES.toMillis(minutes)
        val seconds = TimeUnit.MILLISECONDS
            .toSeconds(time)
        var s = ""
        if (days >= 1) {
            s += days.toString() + "d "
        }
        if (hours >= 1) {
            s += hours.toString() + "h "
        }
        if (minutes >= 1) {
            s += minutes.toString() + "m "
        }
        if (seconds >= 1 && hours < 1) {
            s += seconds.toString() + "s"
        }
        if (s.isEmpty() || s.isBlank()) {
            s = "0s"
        }
        return s
    }

    fun getTimeFormatedRaw(time: Long): String? {
        var time = time
        val days = TimeUnit.MILLISECONDS
            .toDays(time)
        time -= TimeUnit.DAYS.toMillis(days)
        val hours = TimeUnit.MILLISECONDS
            .toHours(time)
        time -= TimeUnit.HOURS.toMillis(hours)
        val minutes = TimeUnit.MILLISECONDS
            .toMinutes(time)
        time -= TimeUnit.MINUTES.toMillis(minutes)
        val seconds = TimeUnit.MILLISECONDS
            .toSeconds(time)
        var s = ""
        if (days >= 1) {
            s += days.toString() + "d "
        }
        if (hours >= 1) {
            s += hours.toString() + "h "
        }
        if (minutes >= 1) {
            s += minutes.toString() + "m "
        }
        if (seconds >= 1) {
            s += seconds.toString() + "s"
        }
        if (s.isEmpty() || s.isBlank()) {
            s = "0s"
        }
        return s
    }

}
